Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.acme
Class TestListener

    java.lang.Object
      com.acme.TestListener

All Implemented Interfaces:
  EventListener, HttpSessionActivationListener, HttpSessionAttributeListener, HttpSessionListener, ServletContextAttributeListener, ServletContextListener, ServletRequestAttributeListener, ServletRequestListener

    public class TestListener

extends Object
implements HttpSessionListener, HttpSessionAttributeListener, HttpSessionActivationListener, ServletContextListener, ServletContextAttributeListener, ServletRequestListener, ServletRequestAttributeListener

Constructor Summary
`TestListener()`

Method Summary
`void` | `attributeAdded(HttpSessionBindingEvent se)`
`void` | `attributeAdded(ServletContextAttributeEvent scab)`
`void` | `attributeAdded(ServletRequestAttributeEvent srae)`
`void` | `attributeRemoved(HttpSessionBindingEvent se)`
`void` | `attributeRemoved(ServletContextAttributeEvent scab)`
`void` | `attributeRemoved(ServletRequestAttributeEvent srae)`
`void` | `attributeReplaced(HttpSessionBindingEvent se)`
`void` | `attributeReplaced(ServletContextAttributeEvent scab)`
`void` | `attributeReplaced(ServletRequestAttributeEvent srae)`
`void` | `contextDestroyed(ServletContextEvent sce)`
`void` | `contextInitialized(ServletContextEvent sce)`
`void` | `requestDestroyed(ServletRequestEvent sre)`
`void` | `requestInitialized(ServletRequestEvent sre)`
`void` | `sessionCreated(HttpSessionEvent se)`
`void` | `sessionDestroyed(HttpSessionEvent se)`
`void` | `sessionDidActivate(HttpSessionEvent se)`
`void` | `sessionWillPassivate(HttpSessionEvent se)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TestListener

    public TestListener()

Method Detail

### attributeAdded

    public void attributeAdded(HttpSessionBindingEvent se)

  Specified by:
    `attributeAdded` in interface `HttpSessionAttributeListener`

### attributeRemoved

    public void attributeRemoved(HttpSessionBindingEvent se)

  Specified by:
    `attributeRemoved` in interface `HttpSessionAttributeListener`

### attributeReplaced

    public void attributeReplaced(HttpSessionBindingEvent se)

  Specified by:
    `attributeReplaced` in interface `HttpSessionAttributeListener`

### sessionWillPassivate

    public void sessionWillPassivate(HttpSessionEvent se)

  Specified by:
    `sessionWillPassivate` in interface `HttpSessionActivationListener`

### sessionDidActivate

    public void sessionDidActivate(HttpSessionEvent se)

  Specified by:
    `sessionDidActivate` in interface `HttpSessionActivationListener`

### contextInitialized

    public void contextInitialized(ServletContextEvent sce)

  Specified by:
    `contextInitialized` in interface `ServletContextListener`

### contextDestroyed

    public void contextDestroyed(ServletContextEvent sce)

  Specified by:
    `contextDestroyed` in interface `ServletContextListener`

### attributeAdded

    public void attributeAdded(ServletContextAttributeEvent scab)

  Specified by:
    `attributeAdded` in interface `ServletContextAttributeListener`

### attributeRemoved

    public void attributeRemoved(ServletContextAttributeEvent scab)

  Specified by:
    `attributeRemoved` in interface `ServletContextAttributeListener`

### attributeReplaced

    public void attributeReplaced(ServletContextAttributeEvent scab)

  Specified by:
    `attributeReplaced` in interface `ServletContextAttributeListener`

### requestDestroyed

    public void requestDestroyed(ServletRequestEvent sre)

  Specified by:
    `requestDestroyed` in interface `ServletRequestListener`

### requestInitialized

    public void requestInitialized(ServletRequestEvent sre)

  Specified by:
    `requestInitialized` in interface `ServletRequestListener`

### attributeAdded

    public void attributeAdded(ServletRequestAttributeEvent srae)

  Specified by:
    `attributeAdded` in interface `ServletRequestAttributeListener`

### attributeRemoved

    public void attributeRemoved(ServletRequestAttributeEvent srae)

  Specified by:
    `attributeRemoved` in interface `ServletRequestAttributeListener`

### attributeReplaced

    public void attributeReplaced(ServletRequestAttributeEvent srae)

  Specified by:
    `attributeReplaced` in interface `ServletRequestAttributeListener`

### sessionCreated

    public void sessionCreated(HttpSessionEvent se)

  Specified by:
    `sessionCreated` in interface `HttpSessionListener`

### sessionDestroyed

    public void sessionDestroyed(HttpSessionEvent se)

  Specified by:
    `sessionDestroyed` in interface `HttpSessionListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2008 Mort Bay Consulting. All Rights Reserved.